package controllers

import (
	beego "github.com/beego/beego/v2/server/web"
)

// ItemController shows partners on a map
type ItemController struct {
	beego.Controller
}

// Get items
func (c *ItemController) Get() {

	c.Data["Website"] = "beego.me"
	c.Data["Email"] = "astaxie@gmail.com"
	c.TplName = "item.tpl"
	c.EnableXSRF = false
}

// Add item
func (c *ItemController) Add() {

	c.Data["Website"] = "beego.me"
	c.Data["Email"] = "astaxie@gmail.com"
	c.TplName = "item_add.tpl"
	c.EnableXSRF = false
}
