package models

type Processing struct {
	Name             string   `json:"name"`
	Type             string   `json:"type"`
	Logo             string   `json:"logo"`
	ShortDescription string   `json:"short_description"`
	Description      string   `json:"description"`
	Tags             []string `json:"tags"`
	Image            string   `json:"image"`
	Id               string   `json:"id"`
	SourceId         string   `json:"source_id"`
	SourceProvider   string   `json:"source_provider"`
	SourceUrl        string   `json:"source_url"`
	Format           string   `json:"format"`
	Size             int      `json:"size"`
	License          string   `json:"license"`
	DataUrl          string   `json:"url"`
	Price            string   `json:"price"`
	CreationDate     string   `json:"creation_date"`
	ModificationDate string   `json:"modification_date"`
}
